Package com.sun.mail.imap

## Class AppendUID

- java.lang.Object
- - com.sun.mail.imap.AppendUID

    public class AppendUID
    extends java.lang.Object

Information from the APPENDUID response code defined by the UIDPLUS extension - RFC 4315.

Author:
  Bill Shannon

### Field Summary

Fields
`long` `uid`
`long` `uidvalidity`

### Constructor Summary

Constructors
`AppendUID​(long uidvalidity, long uid)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### uidvalidity

    public long uidvalidity

#### uid

    public long uid

### Constructor Detail

#### AppendUID

    public AppendUID​(long uidvalidity,
                     long uid)